

use  "$Data/CPSMS Data by Date.dta", clear
drop if missing(Treatment)
collapse(mean) GPDailyDebitAmount GPDailyCreditAmount [weight=NumberGP], by(Treatment date) fast
global middle=date("15Dec2012", "DMY")+3
su GPDailyDebitAmount
global low=`r(max)'*.05

twoway (lowess GPDailyDebitAmount date if Treatment==0, bwidth(.05) lpattern(dash)) ///
(lowess GPDailyDebitAmount date if Treatment==1, bwidth(.05) xline( $cpsmslaunch $cpsmsend)  ///
	text($low $middle "INTERVENTION" "PERIOD", place(s) color(red) size(small)) graphregion(color(white)) bgcolor(white) ///
 yscale(range(0 10000)) xscale(range($startofdata $endofdata)) legend(label(1 "Control") label(2 "Treatment")) xtitle("") ///
 note("Source: CPSMS data on GP savings accounts.") graphregion(color(white)) bgcolor(white)   ytitle("GP Daily Debit Amount"))
graph export "$Figures\F2_Average_Daily_Debit_Treatment_Control.pdf", replace

