


use "$Data/Asset Declaration Cleaned Anonymized", clear
tab Designation
local Assets="TotalMovable"

cumul Log`Assets'  if Treatment==1 & Batch==1, gen(LogTotal11)
cumul Log`Assets'  if Treatment==0 & Batch==1, gen(LogTotal01)
cumul Log`Assets'  if Treatment==1 & Batch==2, gen(LogTotal12)
cumul Log`Assets'  if Treatment==0 & Batch==2, gen(LogTotal02)
sort Treatment Batch Log`Assets'
twoway line LogTotal01 Log`Assets' if Treatment==0 & Batch==1,lpattern(dash) || line LogTotal11 Log`Assets' if Treatment==1 & Batch==1, ///
legend(order(1 "Control" 2 "Treatment" ))  ///
ytitle("Cumulative Distribution") xtitle("Log Movable Assets Declared") graphregion(color(white)) ///
note("Source: Affidavits of block and GP level MGNREGS employees, financial year 2012-13," "Government of Bihar. Movable assets include cash, bank deposits, bonds, jewellery" "and vehicles.")
graph export "$Figures\F3a_Asset_Declarations_During_Treatment.pdf", replace

twoway line LogTotal02 Log`Assets' if Treatment==0 & Batch==2,lpattern(dash) || line LogTotal12 Log`Assets' if Treatment==1 & Batch==2, ///
legend(order(1 "Control" 2 "Treatment" ))  ///
ytitle("Cumulative Distribution") xtitle("Log Movable Assets Declared") graphregion(color(white)) ///
note("Source: Affidavits of block and GP level MGNREGS employees, financial year 2013-14," "Government of Bihar. Movable assets include cash, bank deposits, bonds, jewellery" "and vehicles.")
graph export "$Figures\F3b_Asset_Declarations_After_Treatment.pdf", replace
