
use  "$Data\CPSMS Data by Date.dta", clear

keep if date>=date("1July2012","DMY")  & date<=date("1July2013","DMY")  
gen Month=mofd(date)

replace ZeroBalanceAccountObservedCum=. if Treatment==0
replace SomeCreditCum=. if Treatment==1


drop if missing(Treatment)
keep if Treatment==1
collapse (max) ZeroBalanceAccountObservedCum SomeCreditCum, ///
by(DistrictName_dir Month)

gen Ratio=ZeroBalanceAccountObservedCum/SomeCreditCum
global middle=mofd(date("1Jan2013", "DMY"))
format Month %tmMon_YY
global start=mofd($cpsmslaunch)
global end=mofd( $cpsmsend)

global middle=mofd(date("1Jan2013", "DMY"))-1

bys Month: egen SampleMeanZero=mean(ZeroBalanceAccountObservedCum)
bys Month: egen SampleMeanCredit=mean(SomeCreditCum)
bys Month: egen SampleMeanRatio=mean(Ratio)

twoway connected SampleMeanZero Month || ///
connected ZeroBalanceAccountObservedCum Month if DistrictName_dir=="BEGUSARAI", lpattern(dash) || ///
connected ZeroBalanceAccountObservedCum Month if DistrictName_dir=="MADHUBANI", lpattern(dash_dot)  ///
		xline($start $end) 	 legend(order(1 "Whole Sample" 2 "Top District" 3 "Bottom District")) 			///
		text(.95 $middle "INTERVENTION PERIOD", place(s) color(red))  graphregion(color(white)) bgcolor(white)		///
		xtitle("") ytitle("% of GP who ever used" "their Zero Balance Account") ///
		note("Source: CPSMS data on GP savings accounts. Top district is Begusarai district.""Bottom district is Madhubani district")
graph export "$Figures\FA3_Cumulative_Zero_Balance_Account_Use.pdf", replace





