

global Table="T1 Balance Tests"

use  "$Data/Sample Block GP with census info", replace

******* We test if there is any significant difference between treatment and control blocks ******
egen BlockId=group(DistrictName_off BlockName_off)
egen DistrictId=group(DistrictName_off)

keep if CensusPCA2011_TOT_P>0 & CensusVD2011_area>0
gen CensusPCA2011_ShareSCST=CensusPCA2011_ShareST+CensusPCA2011_ShareSC


tempfile temp
save `temp', replace

local counter=0
foreach var of varlist CensusVD2011_area CensusPCA2011_No_HH CensusPCA2011_ShareSCST CensusPCA2011_LiteracyRate ///
/*CensusVD2011_bus CensusVD2011_road CensusVD2011_phone CensusVD2011_po_fac CensusVD2011_bank_fac CensusVD2011_power_supl  */ {
local ++counter
use `temp', clear
keep `var' Treatment BlockId DistrictId
rename `var' Y
if `counter'==1{
tempfile temp2
save `temp2', replace
}
else {
append using `temp'
save `temp2', replace
}
}
use `temp2'
areg Y Treatment , cluster(BlockId) absorb(DistrictId)
test Treatment=0
local Ftest=`r(p)'

use `temp', clear
gen Index=0

quietly{
	local i=0
	foreach var of varlist CensusVD2011_area CensusPCA2011_No_HH CensusPCA2011_ShareSCST  CensusPCA2011_LiteracyRate ///
/*CensusVD2011_bus CensusVD2011_road CensusVD2011_phone CensusVD2011_po_fac CensusVD2011_bank_fac CensusVD2011_power_supl  */ Index {
	local ++i
		su `var' if Treatment==0
		local ControlMean=round(`r(mean)',0.01)
	if "`var'"!="Index"{
		replace Index=Index+((`var'-`r(mean)')/`r(sd)')
	}
		areg `var' Treatment , cluster(BlockId) absorb(DistrictId)
		local DifferenceMean=round(_b[Treatment],0.01)
		local TreatmentMean=`DifferenceMean'+`ControlMean'
		local DifferenceSE=round(_se[Treatment],0.01)

		if (`i'==1)  outreg2   $outregvar0  ///
	using "$Tables\\$Table", keep(Treatment) replace label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')

		else  outreg2   $outregvar0  using "$Tables\\$Table", keep(Treatment) 	append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')

	}
}


use "$Data/Household Survey Clean Anonymized", clear
******* We test if there is any significant difference between treatment and control blocks ******
gen HHCasteSCST=HHCasteSC+HHCasteST
collapse  (mean)   HHCasteSCST  HHCasteOBC HHHouseMud HHLandHolding  HHHeadMale HHHeadLiterate HHSize HHNbAdults [aweight=PWeight], ///
by(District Block Panchayat  Treatment)
egen DistrictId=group(District)
egen BlockId=group(District Block)

tempfile temp
save `temp', replace

local counter=0
foreach var of varlist   HHCasteSCST  HHCasteOBC HHHouseMud HHLandHolding ///
	HHHeadMale HHHeadLiterate HHSize HHNbAdults {
local ++counter
use `temp', clear
keep `var' Treatment BlockId DistrictId 
rename `var' Y
if `counter'==1{
tempfile temp2
save `temp2', replace
}
else {
append using `temp'
save `temp2', replace
}
}
use `temp2'
areg Y Treatment , cluster(BlockId) absorb(DistrictId)
test Treatment=0
local Ftest=`r(p)'

use `temp', clear

gen Index=0

quietly{
	foreach var of varlist   HHCasteSCST  HHCasteOBC HHHouseMud HHLandHolding ///
	HHHeadMale HHHeadLiterate HHSize HHNbAdults Index{
		su `var' if Treatment==0
		local ControlMean=round(`r(mean)',0.01)
	if "`var'"!="Index"{
		replace Index=Index+((`var'-`r(mean)')/`r(sd)')
	}
		areg `var' Treatment , cluster(BlockId) absorb(DistrictId)
		local DifferenceMean=round(_b[Treatment],0.01)
		local TreatmentMean=`DifferenceMean'+`ControlMean'
		local DifferenceSE=round(_se[Treatment],0.01)

 outreg2   $outregvar0  using "$Tables\\$Table", keep(Treatment) append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')
	}
}


use "$Data/MIS Sample Data by Year", clear
keep if Year==2011
keep if Sample==1
keep if !missing(ExpLabour) & !missing(Persondays_Total)
egen DistrictId=group(DistrictName_off)
egen BlockId=group(DistrictName_off BlockName_off)

xi i.DistrictId

tempfile temp
save `temp', replace

local counter=0
foreach var of varlist Householdsworked Persondays_Total  ExpLabour  ExpMaterial {
local ++counter
use `temp', clear
keep `var' Treatment BlockId DistrictId
rename `var' Y
if `counter'==1{
tempfile temp2
save `temp2', replace
}
else {
append using `temp'
save `temp2', replace
}
}
use `temp2'
areg Y Treatment , cluster(BlockId) absorb(DistrictId)
test Treatment=0
local Ftest=`r(p)'

use `temp', clear

gen Index=0
quietly{
foreach var of varlist Householdsworked Persondays_Total  ExpLabour  ExpMaterial Index {
		su `var' if Treatment==0
		local ControlMean=round(`r(mean)',0.01)
	if "`var'"!="Index"{
		replace Index=Index+((`var'-`r(mean)')/`r(sd)')
	}
		areg `var' Treatment , cluster(BlockId) absorb(DistrictId)
		local DifferenceMean=round(_b[Treatment],0.01)
		local TreatmentMean=`DifferenceMean'+`ControlMean'
		local DifferenceSE=round(_se[Treatment],0.01)

 outreg2   $outregvar0 	using "$Tables\\$Table", keep(Treatment) 	append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')
}
}

keep DistrictName_off BlockName_off PanchayatName_off 
duplicates drop
save "$Data/MIS Index for Control", replace



use "$Data/CPSMS Data by Year.dta", clear
keep if Year==2011
egen DistrictId=group(DistrictName)
egen BlockId=group(DistrictName BlockName)

tempfile temp
save `temp', replace

local counter=0
foreach var of varlist  GPDebitAmount GPCreditAmount {
local ++counter
use `temp', clear
keep `var' Treatment BlockId DistrictId
rename `var' Y
if `counter'==1{
tempfile temp2
save `temp2', replace
}
else {
append using `temp'
save `temp2', replace
}
}
use `temp2'
areg Y Treatment , cluster(BlockId) absorb(DistrictId)
test Treatment=0
local Ftest=`r(p)'

use `temp', clear
gen Index=0

quietly {
foreach var of varlist GPDebitAmount GPCreditAmount  Index{
		su `var' if Treatment==0
		local ControlMean=round(`r(mean)',0.01)
	if "`var'"!="Index"{
		replace Index=Index+((`var'-`r(mean)')/`r(sd)')
	}
		areg `var' Treatment , cluster(BlockId) absorb(DistrictId)
		local DifferenceMean=round(_b[Treatment],0.01)
		local TreatmentMean=`DifferenceMean'+`ControlMean'
		local DifferenceSE=round(_se[Treatment],0.01)

 outreg2   $outregvar0 	using "$Tables\\$Table", keep(Treatment) append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')
}

}
outreg2   $outregvar0 	using "$Tables\\$Table", keep(Treatment) excel append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')



