


use "$Data/CPSMS Data by Period.dta", clear

egen DistrictId=group(DistrictName_off)

global Table="T2 Spending (CPSMS)"

local counter=0
foreach var of varlist GPDebitAmount  GPLastBalance GPCreditAmount{
forvalues x=1/6{
local ++counter
su `var' if Treatment==0 & Period==`x'
global ControlMean=`r(mean)'
areg `var' Treatment   if Period==`x', cluster(Blockid) absorb(DistrictId)
if `counter'==1 outreg2 using "$Tables/$Table",  replace  addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
 else outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
}
}
 outreg2 using "$Tables/$Table",  excel  addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)

