


use "$Data/MIS Sample Data by Year", clear

egen BlockId=group(DistrictName_off BlockName_off)
egen DistrictId=group(DistrictName_off)

global Table="T3 Spending (nrega-nic-in) "

local counter 0
foreach outcome in  ExpLabour ExpMaterial {
foreach year in 2011 2012 2013{
local ++counter

quietly sum `outcome' if Treatment==0 & Year==`year'
local ControlMean = r(mean)
di `ControlMean'
areg `outcome' Treatment if Year==`year', cluster(BlockId) absorb(DistrictId)
local Effect = _b[Treatment]
if `counter'==1 outreg2 using "$Tables/$Table",  replace  addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
else outreg2 Treatment   using "$Tables/$Table", excel  addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
	}
}





