
global Table="T4 Treatment effect on Emploment in MR"

use "$Data/MIS Job Cards Employment by Period", clear
drop DaysPerWorkingHousehold
reshape wide    Payments Days PersonsWorking HouseholdsWorking , ///
i(DistrictName_off BlockName_off PanchayatName_off) j(Period)

reshape long    Payments Days PersonsWorking HouseholdsWorking , ///
i(DistrictName_off BlockName_off PanchayatName_off) j(Period)

foreach var of varlist Days  HouseholdsWorking  Payments  {
*recode `var' .=0
}

gen DaysPerWorkingHousehold=Days/HouseholdsWorking

egen DistrictId=group(DistrictName_off)
egen BlockId=group(DistrictName_off BlockName_off)
local counter 0
foreach var of varlist Days DaysPerWorkingHousehold HouseholdsWorking  Payments  {

	forvalues x=1/6{ 
	
	
		local ++counter
		su `var' if Treatment==0 & Period==`x'
		local ControlMean=`r(mean)'
		areg `var' Treatment if Period==`x',absorb(DistrictId) cluster(BlockId)
		if `counter'==1 outreg2  using "$Tables/$Table", keep(Treatment) replace  ///
		addtext(District FE, Yes, HH Controls, No, Weighted, No)  nonotes noaster nocons ///
		adds("Mean in Control", `ControlMean')
		else outreg2  using "$Tables/$Table",   ///
		addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
		nonotes noaster nocons keep(Treatment)  ///
		adds("Mean in Control", `ControlMean')

}
}
else outreg2  using "$Tables/$Table",  excel ///
	addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
	nonotes noaster nocons keep(Treatment)  ///
	adds("Mean in Control", `ControlMean')



use "$Data/MIS Payments by Period", clear

local counter 0
foreach var of varlist  Delay {

	forvalues x=1/6{ 
	
	
		local ++counter
		su `var' if Treatment==0 & Period==`x'
		local ControlMean=`r(mean)'
		areg `var' Treatment if Period==`x',absorb(DistrictId) cluster(BlockId)
		outreg2  using "$Tables/$Table",   ///
		addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
		nonotes noaster nocons keep(Treatment)  ///
		adds("Mean in Control", `ControlMean')

}
}
else outreg2  using "$Tables/$Table",  excel ///
	addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
	nonotes noaster nocons keep(Treatment)  ///
	adds("Mean in Control", `ControlMean')

	
