


use "$Data/Household Survey Clean Anonymized", clear


*********************************************************
*********** Treatment effect on employment **************
*********************************************************

global Table="T5 Employment (Survey)"
local counter=0

rename *WagesReceived* *Wages*
rename *DaysWorked* *Days*

collapse (mean) NREGAWorked*   NREGADelayMinimum* $HHControls ///
  NREGADays* NREGAWages*   [aweight=PWeight], ///
 by(District Block  BlockId DistrictId Treatment)
quietly{

foreach outcome in  Worked Days Wages DelayMinimum {

foreach var of varlist  NREGA`outcome'BeforeTreat  NREGA`outcome'DuringTreat1 NREGA`outcome'DuringTreat2 ///
NREGA`outcome'DuringTreat  NREGA`outcome'SinceTreat  {

local ++counter
quie su `var' 
local ControlMean=`r(mean)'
xi: reg `var' Treatment i.DistrictId $HHControls , cluster(BlockId)
if `counter'==1 outreg2 Treatment using "$Tables/$Table",  replace  keep(Treatment) addtext(District FE, Yes, HH Controls, Yes, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
else outreg2 Treatment using "$Tables/$Table",   keep(Treatment) addtext(District FE, Yes, HH Controls, Yes, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
}
}
}
outreg2 Treatment using "$Tables/$Table",  excel keep(Treatment) addtext(District FE, Yes, HH Controls, Yes, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
