


use "$Data/Job Card Match rate with census at Panchayat Level", clear

su count_hh_1p count_hh_2p
xi i.DistrictName_off
egen BlockId=group(DistrictName_off BlockName_off)


global Table="T6 Treatment effect on Match Rate"


local counter=0
foreach var of varlist match_percent_hh_1p match_percent_hh_1p_period4 match_percent_hh_1p_period6  ///
 match_percent_hh_2p match_percent_hh_2p_period5 match_percent_hh_2p_period6 {
local ++counter
quietly sum `var' if Treatment==0   
local ControlMean = r(mean)
di `ControlMean'
reg  `var' Treatment _I*  , cluster(BlockId)
if `counter'==1 outreg2  using "$Tables/$Table", keep(Treatment) ///
replace  addtext(District FE, Yes, HH Controls, No, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
else outreg2  using "$Tables/$Table",  keep(Treatment) ///
  addtext(District FE, Yes, HH Controls, No, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
}
outreg2  using "$Tables/$Table", excel keep(Treatment) ///
  addtext(District FE, Yes, HH Controls, No, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')

