

use "$Data/Asset Declaration Cleaned Anonymized", clear

global Table="T7 Assets of NREGA Employees"
global outregvar="Treatment*" 

*keep if Designation=="PO" | Designation=="PRS" | Designation=="PTA"
*********** PRS AND PTA at Panchayat level, all other at Block level ***********  



*keep if BDO==1
*drop if DateEstimated>date("1Sep2013", "DMY")
*foreach Assets in Total TotalMovable TotalImmovable{
*global Table="Treatment effect on `Assets' Assets Declared - District level"
*su `Assets' ,d
*replace `Assets'=. if (`Assets'>`r(p95)') 
*replace Log`Assets'=log(`Assets')
*}

xi i.Designation i.DistrictID

local counter=0
foreach Assets in TotalMovable Total{
local ++counter
foreach Posting in All /*Panchayat Block*/{


preserve
global Table="Treatment effect on `Assets' Assets Declared"
if "`Posting'"=="Panchayat" |  "`Posting'"=="Block"{
keep if Posting=="`Posting'"
}
* Kolmogorov Smirnov tests * 
quietly{

*global outregvar="During After During_T After_T During_Block After_Block During_Block_T After_Block_T " 
global outregvar="Treatment* " 
* Less assets Batch2 the treatment *
areg Log`Assets' TreatmentGroup   if Batch==1  , absorb(DistrictID) cluster(BlockID) 
outreg2  using "$Tables\\$Table",  replace keep($outregvar)  addtext(District FE, Yes,Controls,No) nonotes noaster nocons 
areg Log`Assets'  TreatmentGroup  $EmployeeControls   if Batch==1 , absorb(DistrictID) cluster(BlockID) 
outreg2  using "$Tables\\$Table",    keep($outregvar) addtext(District FE, Yes,Controls,Yes) nonotes noaster nocons 
areg Log`Assets'  TreatmentGroup if Batch==2, absorb(DistrictID) cluster(BlockID) 
outreg2  using "$Tables\\$Table",    keep($outregvar) addtext(District FE, Yes,Controls,No) nonotes noaster nocons 
areg Log`Assets'  TreatmentGroup   $EmployeeControls  if Batch==2, absorb(DistrictID) cluster(BlockID) 
outreg2  using "$Tables\\$Table",    keep($outregvar) excel addtext(District FE, Yes,Controls,Yes) nonotes noaster nocons 
ksmirnov Log`Assets' if Batch==1, by(TreatmentGroup)
local pvalue=round(`r(p)',0.01)
qreg Log`Assets' TreatmentGroup _IDist*  if Batch==1 , quantile(.5)
outreg2  using "$Tables\\$Table",    keep($outregvar) addtext(District FE, Yes,Controls,No,Ksmirnov p,`pvalue') nonotes noaster nocons 
qreg Log`Assets' TreatmentGroup _IDist*  $EmployeeControls if Batch==1 , quantile(.5)
outreg2  using "$Tables\\$Table",    keep($outregvar) excel addtext(District FE, Yes,Controls,Yes) nonotes noaster nocons 
ksmirnov Log`Assets' if Batch==2, by(TreatmentGroup)
local pvalue=round(`r(p)',0.01)
qreg Log`Assets' TreatmentGroup _IDist*  if Batch==2, quantile(.5)
outreg2  using "$Tables\\$Table",    keep($outregvar) addtext(District FE, Yes,Controls,No,Ksmirnov p,`pvalue') nonotes noaster nocons 
qreg Log`Assets' TreatmentGroup _IDist* $EmployeeControls if Batch==2, quantile(.5)
outreg2  using "$Tables\\$Table",    keep($outregvar) excel addtext(District FE, Yes,Controls,Yes) nonotes noaster nocons 
restore
}
}
}

	