

global Table="TA11 IV Results"
global outregvar="Treatment Complier"

use  "$Data/Compliance", clear
tempfile compliance
save `compliance'


use "$Data/CPSMS Data by Period.dta", clear
rename Panchayat PanchayatName_off
merge m:1 DistrictName_off BlockName_off PanchayatName_off using `compliance'
replace Complier=0 if _m==1
xi  i.DistrictName_off

local counter=0
foreach var of varlist GPCreditAmount  GPLastBalance GPDebitAmount{
local x=5
local ++counter
su `var' if Treatment==0 & Period==`x'
global ControlMean=`r(mean)'
*replace TreatmentPeriod=1 if date>=date("1April2012","DMY") & date<$cpsmslaunch
*replace Treatment=TreatmentPeriod*TreatmentGroup
reg `var' Treatment   _IDist* if Period==`x', cluster(Blockid) 
if `counter'==1 outreg2 using "$Tables/$Table",  replace  addtext(District FE, Yes)  keep($outregvar) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
 else outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep($outregvar) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
ivreg `var' (Complier=Treatment)   _IDist* if Period==`x', cluster(Blockid) 
outreg2 using "$Tables/$Table",  excel  addtext(District FE, Yes)  keep($outregvar) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
}



use "$Data/MIS Sample Data by Year", clear
keep if Sample==1
egen BlockId=group(DistrictName_off BlockName_off)
merge m:1 DistrictName_off BlockName_off  PanchayatName_off using `compliance'
replace Complier=0 if _m==1
xi i.DistrictName_off

local year=2012
foreach outcome in  ExpLabour ExpMaterial {
quietly sum `outcome' if Treatment==0 & Year==`year'
local ControlMean = r(mean)
di `ControlMean'
reg `outcome' Treatment _I* if Year==`year', cluster(BlockId)
 outreg2 Treatment   using "$Tables/$Table",   addtext(District FE, Yes)  keep($outregvar) nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
ivreg `outcome' (Complier=Treatment) _I* if Year==`year', cluster(BlockId)
outreg2 Treatment   using "$Tables/$Table", excel  addtext(District FE, Yes)  keep($outregvar) nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
}


			
use "$Data/MIS Job Cards Employment by Period", replace
egen BlockId=group(DistrictName_off BlockName_off)

merge m:1 DistrictName_off BlockName_off  PanchayatName_off using `compliance'
replace Complier=0 if _m==1
xi i.DistrictName_off
local counter 0

foreach var of varlist Days DaysPerWorkingHousehold HouseholdsWorking  Payment  {
local x=5
		local ++counter
		quietly sum `var' if Treatment==0  & Period==`x' 
		local ControlMean = r(mean)
		di `ControlMean'
		reg `var' Treatment _I* if Period==`x' , cluster(BlockId)
		outreg2  using "$Tables/$Table",   ///
			addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
			nonotes noaster nocons keep($outregvar)  ///
			adds("Mean in Control", `ControlMean')
		ivreg `var' (Complier=Treatment) _I* if Period==`x' , cluster(BlockId)
		outreg2  using "$Tables/$Table",  excel ///
			addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
			nonotes noaster nocons keep($outregvar)  ///
			adds("Mean in Control", `ControlMean')

	}
	

			
use "$Data/MIS Payments by Period", clear
merge m:1 DistrictName_off BlockName_off  PanchayatName_off using `compliance'
replace Complier=0 if _m==1
xi i.DistrictName_off
local counter 0

foreach var of varlist   Delay {
local x=5
		local ++counter
		quietly sum `var' if Treatment==0  & Period==`x' 
		local ControlMean = r(mean)
		di `ControlMean'
		reg `var' Treatment _I* if Period==`x' , cluster(BlockId)
		outreg2  using "$Tables/$Table",   ///
			addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
			nonotes noaster nocons keep($outregvar)  ///
			adds("Mean in Control", `ControlMean')
		ivreg `var' (Complier=Treatment) _I* if Period==`x' , cluster(BlockId)
		outreg2  using "$Tables/$Table",  excel ///
			addtext(District FE, Yes, HH Controls, Yes, Weighted, No) ///
			nonotes noaster nocons keep($outregvar)  ///
			adds("Mean in Control", `ControlMean')

	}
	


use "$Data/Household Survey Clean Anonymized", clear

rename Panchayat PanchayatName_survey 
rename District DistrictName_survey 
rename Block BlockName_survey
merge m:1      PanchayatName_survey DistrictName_survey BlockName_survey using `compliance'
replace Complier=0 if _m==1


rename *WagesReceived* *Wages*
rename *DaysWorked* *Days*
collapse (mean) NREGAWorked*  NREGAPaymentAdvance* NREGADelayMinimum* $HHControls ///
  NREGADays* NREGAWages* Complier [aweight=PWeight], ///
 by(DistrictName_survey BlockName_survey  BlockId DistrictId Treatment )

foreach outcome in  Worked  Wages  DelayMinimum  {

foreach var of varlist  NREGA`outcome'DuringTreat  {
quie su `var' 
local ControlMean=`r(mean)'
xi: reg `var' Treatment i.DistrictId $HHControls  , cluster(BlockId)
outreg2 Treatment using "$Tables/$Table",   keep($outregvar) addtext(District FE, Yes, HH Controls, Yes, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
xi: ivreg `var' (Complier=Treatment) i.DistrictId $HHControls, cluster(BlockId)
outreg2 Treatment using "$Tables/$Table",  excel keep($outregvar) addtext(District FE, Yes, HH Controls, Yes, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')


}
}



use "$Data/Asset Survey by GP", clear
rename Panchayat PanchayatName_survey 
rename District DistrictName_survey 
rename Block BlockName_survey
merge m:1      PanchayatName_survey DistrictName_survey BlockName_survey using `compliance'
replace Complier=0 if _m==1

foreach var of varlist AssetFound    {
quie su `var' if Treatment==0
local ControlMean=round(`r(mean)',0.01)
xi: reg `var' Treatment i.DistrictId, cluster(BlockId)
outreg2  using "$Tables//$Table",  keep($outregvar) ///
 addtext(District FE, Yes,"Mean in Control", `ControlMean') excel  nonotes noaster nocons 
xi: ivreg `var' (Complier=Treatment) i.DistrictId, cluster(BlockId)
outreg2  using "$Tables//$Table",  keep($outregvar) ///
 addtext(District FE, Yes,"Mean in Control", `ControlMean') excel  nonotes noaster nocons 
}


use "$Data/Job Card Match rate with census at Panchayat Level", clear
merge m:1 DistrictName_off BlockName_off  PanchayatName_off using `compliance'
replace Complier=0 if _m==1
xi i.DistrictName_off
egen BlockId=group(DistrictName_off BlockName_off)
foreach var of varlist  match_percent_hh_1p_period5  match_percent_hh_2p_period5  {
quietly sum `var' if Treatment==0   
local ControlMean = r(mean)
di `ControlMean'
reg  `var' Treatment _I*  , cluster(BlockId)
outreg2  using "$Tables/$Table",  keep($outregvar) ///
  addtext(District FE, Yes, HH Controls, No, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
ivreg  `var' (Complier=Treatment) _I*  , cluster(BlockId)
outreg2  using "$Tables/$Table", excel keep($outregvar) ///
  addtext(District FE, Yes, HH Controls, No, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
}


