

global Table="TA12 Correlation between match rate, reported employment and official wealth"

local counter=0

foreach matchvar in match_percent_hh_1p_period1 match_percent_hh_2p_period1{

use "$Data/Job Card Match rate with census at Panchayat Level", clear
keep DistrictName_off BlockName_off PanchayatName_off match* count*
duplicates drop  DistrictName_off BlockName_off PanchayatName_off, force
tempfile match
save `match'

use "$Data/MIS Job Cards Employment by Period", clear

keep Period PanchayatName_off DistrictName_off BlockName_off  ///
Days Payments HouseholdsWorking  PersonsWorking Treatment
egen BlockId=group(DistrictName_off BlockName_off)
egen DistrictId=group(DistrictName_off)
	reshape wide Days Payments HouseholdsWorking  PersonsWorking, ///
i(DistrictName_off BlockName_off PanchayatName_off) j(Period)

merge m:1 DistrictName_off BlockName_off PanchayatName_off using `match'
drop if _m==2
drop _m

egen BlockTag=tag(DistrictName_off BlockName_off)
gen DaysPerHouseholdsWorking1=Days1/HouseholdsWorking1

replace Days1=log(Days1)
replace DaysPerHouseholdsWorking1=log(DaysPerHouseholdsWorking1)
replace HouseholdsWorking1=log(HouseholdsWorking1)


quietly{
	foreach depvar of varlist Days1 HouseholdsWorking1 DaysPerHouseholdsWorking1{
local ++counter
su `depvar' 
global ControlMean=`r(mean)'
areg `depvar' `matchvar',absorb(DistrictId)
if `counter'==1 outreg2 using "$Tables/$Table",  replace  addtext(District FE, Yes)  keep(match_*) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
else outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(match_*) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
}
}


use "$Data/Job Card Match rate with census at Panchayat Level", clear
keep DistrictName_off BlockName_off PanchayatName_off match* count*
duplicates drop  DistrictName_off BlockName_off PanchayatName_off, force
collapse (mean) match* (sum) count*, by(DistrictName_off BlockName_off )

tempfile match
save `match'

use "$Data/Asset Declaration Cleaned Anonymized", clear
keep if Batch==1
keep if Posting=="Block" | Posting=="Panchayat"

merge m:1 DistrictName_off BlockName_off  using `match'
drop if _m==2
drop _m

egen DistrictId=group(DistrictName_off)

quietly{
	foreach depvar of varlist LogTotalMovable LogTotal  {
su `depvar' 
global ControlMean=`r(mean)'
areg `depvar' `matchvar' C_* ,absorb(DistrictId)
outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(match_*) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
}
}

}
 outreg2 using "$Tables/$Table",  excel  addtext(District FE, Yes)  keep(match_*) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
