

use "$Data/Asset Declaration Cleaned DRDA Anonymized", clear
egen DistrictTag=tag(District)

drop if Designation=="Program Officer"
su Total if Batch==1 & !missing(LogTotal),d
su TotalMovable if Batch==1 & !missing(LogTotal),d

xi i.Designation

global outregvar="Sample"
foreach Assets in Total TotalMovable {
quietly{
global Table="TA13 Treatment effect on `Assets' Assets Declared - District level"
reg Log`Assets' Sample if Batch==0 , cluster(District)
outreg2  using "$Tables\\$Table",  replace keep($outregvar)  addtext(Controls,No) nonotes noaster nocons 
reg Log`Assets' Sample  $EmployeeControls $DistrictControls if Batch==0, cluster(District) 
outreg2  using "$Tables\\$Table",   keep($outregvar)  addtext(Controls,Yes) nonotes noaster nocons 
reg Log`Assets' Sample if Batch==1 , cluster(District)
outreg2  using "$Tables\\$Table",   keep($outregvar)  addtext(Controls,No) nonotes noaster nocons 
reg Log`Assets' Sample  $EmployeeControls $DistrictControls if Batch==1, cluster(District) 
outreg2  using "$Tables\\$Table",   keep($outregvar)  addtext(Controls,Yes) nonotes noaster nocons 
reg Log`Assets' Sample if Batch==2 , cluster(District)
outreg2  using "$Tables\\$Table",   keep($outregvar)  addtext(Controls,No) nonotes noaster nocons 
reg Log`Assets' Sample  $EmployeeControls $DistrictControls if Batch==2 , cluster(District) 
outreg2  using "$Tables\\$Table",   keep($outregvar)  addtext(Controls,Yes) nonotes noaster nocons 
ksmirnov Log`Assets' if Batch==0, by(Sample)
local pvalue=round(`r(p)',0.01)
qreg Log`Assets' Sample if Batch==0 ,  quantile(.5)
outreg2  using "$Tables\\$Table",   keep($outregvar)  addtext(Controls,No,Ksmirnov p,`pvalue') nonotes noaster nocons 
qreg Log`Assets' Sample  $EmployeeControls $DistrictControls if Batch==0 ,  quantile(.5)
outreg2  using "$Tables\\$Table",    keep($outregvar)  addtext(Controls,Yes) nonotes noaster nocons 
ksmirnov Log`Assets' if Batch==1, by(Sample)
local pvalue=round(`r(p)',0.01)
qreg Log`Assets' Sample if Batch==1 ,  quantile(.5)
outreg2  using "$Tables\\$Table",   keep($outregvar)   addtext(Controls,No,Ksmirnov p,`pvalue')  nonotes noaster nocons 
qreg Log`Assets' Sample  $EmployeeControls $DistrictControls if Batch==1 ,  quantile(.5)
outreg2  using "$Tables\\$Table",    keep($outregvar)  addtext(Controls,Yes) nonotes noaster nocons 
ksmirnov Log`Assets' if Batch==2, by(Sample)
local pvalue=round(`r(p)',0.01)
qreg Log`Assets' Sample if Batch==2 ,  quantile(.5)
outreg2  using "$Tables\\$Table",   keep($outregvar)   addtext(Controls,No,Ksmirnov p,`pvalue')  nonotes noaster nocons 
qreg Log`Assets' Sample  $EmployeeControls $DistrictControls if Batch==2,  quantile(.5)
outreg2  using "$Tables\\$Table",  excel  keep($outregvar)  addtext(Controls,Yes) nonotes noaster nocons 
}
}
outreg2  using "$Tables\\$Table",  excel  keep($outregvar)  addtext(Controls,Yes) nonotes noaster nocons 
