global Table="TA14 Spillovers - Imbalance"


global outregvar="Treatment Sample"
global controls="CensusVD2011_area CensusPCA2011_No_HH CensusPCA2011_ShareSCST CensusPCA2011_LiteracyRate"
use "$Data/Sample and Border Blocks", clear
tempfile border
save `border'

use  "$Data/Block GP with census info", replace
keep DistrictName_off BlockName_off PanchayatName_off Census*
gen CensusPCA2011_ShareSCST=CensusPCA2011_ShareST+CensusPCA2011_ShareSC


tempfile census
save `census'



use "$Data/CPSMS Data by Period.dta", clear

rename Panchayat PanchayatName_off
merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `border', keep(match) nogen

merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `census', keep(match) nogen

egen DistrictId=group(BufferDistrictName)
egen BlockId=group(DistrictName_off BlockName_off PanchayatName_off)
recode Treatment .=0
recode Sample .=0
su Treatment Sample 




use  "$Data/Block GP with census info", replace

merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `border', keep(match) nogen
recode Treatment .=0
recode Sample .=0

******* We test if there is any significant difference between treatment and control blocks ******
egen DistrictId=group(BufferDistrictName)
egen BlockId=group(DistrictName_off BlockName_off PanchayatName_off)

keep if CensusPCA2011_TOT_P>0 & CensusVD2011_area>0
gen CensusPCA2011_ShareSCST=CensusPCA2011_ShareST+CensusPCA2011_ShareSC


tempfile temp
save `temp', replace

local counter=0
foreach var of varlist CensusVD2011_area CensusPCA2011_No_HH CensusPCA2011_ShareSCST CensusPCA2011_LiteracyRate ///
/*CensusVD2011_bus CensusVD2011_road CensusVD2011_phone CensusVD2011_po_fac CensusVD2011_bank_fac CensusVD2011_power_supl  */ {
local ++counter
use `temp', clear
keep `var' Treatment Sample BlockId DistrictId
rename `var' Y
if `counter'==1{
tempfile temp2
save `temp2', replace
}
else {
append using `temp'
save `temp2', replace
}
}
use `temp2'
areg Y Sample , cluster(BlockId) absorb(DistrictId)
test Sample=0
local Ftest=`r(p)'

use `temp', clear
gen Index=0

quietly{
	local i=0
	foreach var of varlist CensusVD2011_area CensusPCA2011_No_HH CensusPCA2011_ShareSCST  CensusPCA2011_LiteracyRate ///
/*CensusVD2011_bus CensusVD2011_road CensusVD2011_phone CensusVD2011_po_fac CensusVD2011_bank_fac CensusVD2011_power_supl  */ Index {
	local ++i
		su `var' if Sample==0
		local ControlMean=`r(mean)'
		if "`var'"!="Index"{
			replace Index=Index+((`var'-`r(mean)')/`r(sd)')
		}
		
		areg `var' Sample , cluster(BlockId) absorb(DistrictId)
		local DifferenceMean=_b[Sample]
		local TreatmentMean=`DifferenceMean'+`ControlMean'
		local DifferenceSE=_se[Sample]

		if (`i'==1)  outreg2   $outregvar0  ///
	using "$Tables\\$Table", keep(Sample) replace label nonotes noaster nocons excel ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')

		else  outreg2   $outregvar0  using "$Tables\\$Table", keep(Sample) 	append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')

	}
}



use "$Data/MIS Data by Year", clear
keep if Year==2011

keep if !missing(ExpLabour) & !missing(Persondays_Total)

merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `border', keep(match) nogen
recode Treatment .=0
recode Sample .=0

******* We test if there is any significant difference between treatment and control blocks ******
egen DistrictId=group(BufferDistrictName)
egen BlockId=group(DistrictName_off BlockName_off PanchayatName_off)

xi i.DistrictId

tempfile temp
save `temp', replace

local counter=0
foreach var of varlist Householdsworked Persondays_Total  ExpLabour  ExpMaterial {
local ++counter
use `temp', clear
keep `var' Sample BlockId DistrictId
rename `var' Y
if `counter'==1{
tempfile temp2
save `temp2', replace
}
else {
append using `temp'
save `temp2', replace
}
}
use `temp2'
areg Y Sample , cluster(BlockId) absorb(DistrictId)
test Sample=0
local Ftest=`r(p)'

use `temp', clear

gen Index=0
quietly{
foreach var of varlist Householdsworked Persondays_Total  ExpLabour  ExpMaterial Index {
		su `var' if Sample==0
		local ControlMean=`r(mean)'
	if "`var'"!="Index"{
		replace Index=Index+((`var'-`r(mean)')/`r(sd)')
	}

		areg `var' Sample , cluster(BlockId) absorb(DistrictId)
		local DifferenceMean=_b[Sample]
		local TreatmentMean=`DifferenceMean'+`ControlMean'
		local DifferenceSE=_se[Sample]

 outreg2   $outregvar0 	using "$Tables\\$Table", keep(Sample) 	append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')
}
}

keep DistrictName_off BlockName_off PanchayatName_off 
duplicates drop
save "$Data/MIS Index for Control", replace



use "$Data/CPSMS Data by Year.dta", clear
keep if Year==2011

merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `border', keep(match) nogen


egen DistrictId=group(BufferDistrictName)
egen BlockId=group(DistrictName_off BlockName_off PanchayatName_off)
recode Treatment .=0
recode Sample .=0
su Treatment Sample 



tempfile temp
save `temp', replace

local counter=0
foreach var of varlist  GPDebitAmount GPCreditAmount  GPBalance{
local ++counter
use `temp', clear
keep `var' Sample BlockId DistrictId
rename `var' Y
if `counter'==1{
tempfile temp2
save `temp2', replace
}
else {
append using `temp'
save `temp2', replace
}
}
use `temp2'
areg Y Sample , cluster(BlockId) absorb(DistrictId)
test Sample=0
local Ftest=`r(p)'

use `temp', clear
gen Index=0

quietly {
foreach var of varlist GPDebitAmount GPBalance GPCreditAmount  Index{
		su `var' if Sample==0
		local ControlMean=`r(mean)'
	if "`var'"!="Index"{
		replace Index=Index+((`var'-`r(mean)')/`r(sd)')
	}
		areg `var' Sample , cluster(BlockId) absorb(DistrictId)
		local DifferenceMean=_b[Sample]
		local TreatmentMean=`DifferenceMean'+`ControlMean'
		local DifferenceSE=_se[Sample]

 outreg2   $outregvar0 	using "$Tables\\$Table", keep(Sample) append label nonotes noaster nocons  ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')
}

}
 outreg2   $outregvar0 	using "$Tables\\$Table", keep(Sample) label nonotes noaster nocons excel ///
	adds("Mean in Control", `ControlMean', "Mean in Treatment", `TreatmentMean', ///
	"Mean Difference", `DifferenceMean', "Se Difference", `DifferenceSE', "F test", `Ftest')



