

global outregvar="Treatment Sample"
global controls="CensusVD2011_area CensusPCA2011_No_HH CensusPCA2011_ShareSCST CensusPCA2011_LiteracyRate"
use "$Data/Sample and Border Blocks", clear
tempfile border
save `border'

use  "$Data/Block GP with census info", replace
keep DistrictName_off BlockName_off PanchayatName_off Census*
gen CensusPCA2011_ShareSCST=CensusPCA2011_ShareST+CensusPCA2011_ShareSC


tempfile census
save `census'



use "$Data/CPSMS Data by Period.dta", clear

rename Panchayat PanchayatName_off
merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `border', keep(match) nogen

merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `census', keep(match) nogen

egen DistrictId=group(BufferDistrictName)
egen BlockId=group(DistrictName_off BlockName_off PanchayatName_off)
recode Treatment .=0
recode Sample .=0
su Treatment Sample 


 global Table="TA15 Spillovers - DiD"

 *Controlling for baseline
local counter=0
quietly{
foreach var of varlist GPDebitAmount  GPLastBalance GPCreditAmount{
bys DistrictName_off BlockName_off PanchayatName_off: egen Baseline=max(`var'*(Period==1))
forvalues x=1/6{
local ++counter
su `var' if Treatment==0 & Period==`x'
global ControlMean=`r(mean)'
areg `var' Treatment Sample Baseline $controls if Period==`x', cluster(Blockid)  absorb(DistrictId)
if `counter'==1 outreg2 using "$Tables/$Table",    addtext(District FE, Yes) ///
  keep($outregvar) nonotes noaster nocons adds("Mean in Control", $ControlMean)
 else outreg2 using "$Tables/$Table",    addtext(District FE, No)  ///
 keep($outregvar) nonotes noaster nocons adds("Mean in Control", $ControlMean)
}
drop Baseline
}
}
outreg2 using "$Tables/$Table",   excel addtext(District FE, No)  ///
 keep($outregvar) nonotes noaster nocons adds("Mean in Control", $ControlMean)
