
set matsize 8000
use "$Data/EFMS for Analysis District", clear
global outvar "*EFMS*"
global Weight ""
global Cluster "cluster DistrictId"
global Cluster "robust"
egen StateId=group(StateNREGA)

xtset DistrictId Year
xi  i.Year i.DistrictId*Year

foreach item in Labour Material {
foreach x in L1 L2 F1 F2{
gen `x'EFMS_`item'=`x'.EFMS_`item' 
replace `x'EFMS_`item'=0 if missing(`x'EFMS_`item')
}
}

quietly{
foreach var of varlist ExpLabour ExpMaterial  {
permute EFMS_Labour _b[EFMS_Labour],seed(1984) reps(100): areg   `var'  EFMS_Labour  _IYear* , absorb(DistrictId) robust
matrix p=r(p)
eststo : xtreg `var'  EFMS_Labour _IYear* _IDis* $Weight, fe vce($Cluster)
	estadd scalar Permutation=p[1,1]
sum  `var' if EFMS_Labour==0 
	estadd scalar ControlMean=r(mean)
permute EFMS_Labour _b[EFMS_Labour],seed(1984) reps(100): areg   `var'  EFMS_Labour EFMS_Material _IYear* , absorb(DistrictId) robust
matrix p=r(p)
	eststo : xtreg  `var'  EFMS_Labour EFMS_Material  _IYear*  _IDis* $Weight , fe vce($Cluster)
	estadd scalar Permutation=p[1,1]
sum  `var' if EFMS_Labour==0 
	estadd scalar ControlMean=r(mean)
permute EFMS_Labour _b[EFMS_Labour],seed(1984) reps(100): areg   `var'  EFMS_Labour EFMS_Material L1EFMS_Labour   _IYear* , absorb(DistrictId) robust
matrix p=r(p)
eststo : xtreg  `var'  EFMS_Labour EFMS_Material L1EFMS_Labour  _IYear*  _IDis* $Weight , fe vce($Cluster)
	estadd scalar Permutation=p[1,1]
sum  `var' if EFMS_Labour==0 
	estadd scalar ControlMean=r(mean)
permute EFMS_Labour _b[EFMS_Labour],seed(1984) reps(100): areg   `var'  EFMS_Labour EFMS_Material L1EFMS_Labour L2EFMS_Labour  _IYear* , absorb(DistrictId) robust
matrix p=r(p)
eststo : xtreg  `var'  EFMS_Labour EFMS_Material L1EFMS_Labour L2EFMS_Labour _IYear*  _IDis*	 $Weight , fe vce($Cluster)
	estadd scalar Permutation=p[1,1]
sum  `var' if EFMS_Labour==0 
	estadd scalar ControlMean=r(mean)


}
}
esttab using "$Tables\Table A17 EFMS with trends.csv", replace ///
noomitted nogap keep($outvar) se title("Regressions")  ///
scalars(ControlMean N Permutation) nostar
eststo clear





