global Table "TA3 Audit Data"

use "$Data/Audits Cleaned by Block by Period", replace

egen DistrictId=group(DistrictName)
local counter=0
foreach var of varlist NumberAudits WorksAudited WorksAuditedIrregular IrregularityRate {
 forvalues x=1/3{
	local ++counter
	 su `var' if Treatment==0 & Period==`x'
	global ControlMean=`r(mean)'
	areg `var' Treatment if Period==`x', absorb(DistrictId)
	if `counter'==1 outreg2 using "$Tables/$Table",  replace  addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
	adds("Mean in Control", $ControlMean)
	else outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
	adds("Mean in Control", $ControlMean)
}
}
else outreg2 using "$Tables/$Table", excel   addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
