

global Table="TA4 Results with Control"
global outregvar="Treatment"



use "$Data/MIS Sample Data by Year", clear
keep if Year==2011
keep if Sample==1

gen Index=0
quietly{
foreach var of varlist Householdsworked Persondays_Total  ExpLabour  ExpMaterial  {
	if "`var'"!="Index"{
		su `var' if Treatment==0
		replace Index=Index+((`var'-`r(mean)')/`r(sd)')
	}
}
}
keep DistrictName_off BlockName_off PanchayatName_off   Index
rename Index Index_MIS
duplicates drop

tempfile control
save `control'

use `control', clear

gen PanchayatName_survey=PanchayatName_off
gen DistrictName_survey=DistrictName_off
gen BlockName_survey=BlockName_off

replace PanchayatName_survey="SIMARIA I" if PanchayatName_survey =="SIMARIA-I" & BlockName_survey=="BARAUNI"
replace PanchayatName_survey="SADPUR" if PanchayatName_survey =="SADPUR-EAST" & BlockName_survey=="SAHEBPUR KAMAL"
replace PanchayatName_survey="KHAIRI BANKA SOUTH" if PanchayatName_survey =="KHAIRI BANKA NORTH" & BlockName_survey=="BISFI"
collapse (mean) Index*, by(DistrictName_survey BlockName_survey PanchayatName_survey)
tempfile control_survey 
save `control_survey'


use "$Data/CPSMS Data by Period.dta", clear

rename Panchayat PanchayatName_off
merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `control'
drop if _m==2
foreach var of varlist Index*{
replace `var'=0 if missing(`var')
}
egen DistrictId=group(DistrictName_off)

local counter=0
foreach var of varlist GPDebitAmount  GPLastBalance GPCreditAmount{
local x=5
local ++counter
su `var' if Treatment==0 & Period==`x'
global ControlMean=`r(mean)'
areg `var' Treatment    if Period==`x', cluster(Blockid)  absorb(DistrictId) 
if `counter'==1 outreg2 using "$Tables/$Table",  replace  addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
 else outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
areg `var' Treatment   Index* if Period==`x', cluster(Blockid)  absorb(DistrictId) 
outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)

}



use "$Data/MIS Sample Data by Year", clear
merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `control'
drop if _m==2
foreach var of varlist Index*{
replace `var'=0 if missing(`var')
}
egen BlockId=group(DistrictName_off BlockName_off)
egen DistrictId=group(DistrictName_off)

local year=2012
foreach outcome in  ExpLabour ExpMaterial {
quietly sum `outcome' if Treatment==0 & Year==`year'
local ControlMean = r(mean)
di `ControlMean'
areg `outcome' Treatment if Year==`year', cluster(BlockId) absorb(DistrictId) 
 outreg2 Treatment   using "$Tables/$Table",   addtext(District FE, Yes)  keep($outregvar) nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
areg `outcome' Treatment Index* if Year==`year', cluster(BlockId) absorb(DistrictId)
outreg2 Treatment   using "$Tables/$Table", excel  addtext(District FE, Yes)  keep($outregvar) nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
}


use "$Data/MIS Job Cards Employment by Period", replace
egen BlockId=group(DistrictName_off BlockName_off)
egen DistrictId=group(DistrictName_off)

merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `control'
drop if _m==2
foreach var of varlist Index*{
replace `var'=0 if missing(`var')
}

foreach var of varlist  Days DaysPerWorkingHousehold HouseholdsWorking Payment { 
	local x=5
			local ++counter
			quietly sum `var' if Treatment==0  & Period==`x' 
			local ControlMean = r(mean)
			di `ControlMean'
			areg `var' Treatment  if Period==`x' , cluster(BlockId) absorb(DistrictId)
			outreg2  using "$Tables/$Table",   ///
				addtext(District FE, Yes) ///
				nonotes noaster nocons keep($outregvar)  ///
				adds("Mean in Control", `ControlMean')
			areg `var' Treatment Index* if Period==`x' , cluster(BlockId) absorb(DistrictId)
			outreg2  using "$Tables/$Table",  excel ///
				addtext(District FE, Yes) ///
				nonotes noaster nocons keep($outregvar)  ///
				adds("Mean in Control", `ControlMean')

}

use "$Data/MIS Payments by Period", clear

merge m:1 DistrictName_off BlockName_off PanchayatName_off using  `control'
drop if _m==2
foreach var of varlist Index*{
replace `var'=0 if missing(`var')
}

foreach var of varlist Delay{ 
	local x=5
			local ++counter
			quietly sum `var' if Treatment==0  & Period==`x' 
			local ControlMean = r(mean)
			di `ControlMean'
			areg `var' Treatment  if Period==`x' , cluster(BlockId) absorb(DistrictId)
			outreg2  using "$Tables/$Table",   ///
				addtext(District FE, Yes) ///
				nonotes noaster nocons keep($outregvar)  ///
				adds("Mean in Control", `ControlMean')
			areg `var' Treatment Index* if Period==`x' , cluster(BlockId) absorb(DistrictId)
			outreg2  using "$Tables/$Table",  excel ///
				addtext(District FE, Yes) ///
				nonotes noaster nocons keep($outregvar)  ///
				adds("Mean in Control", `ControlMean')

}
	

use "$Data/Household Survey Clean Anonymized", clear

rename Panchayat PanchayatName_survey 
rename District DistrictName_survey 
rename Block BlockName_survey
merge m:1      PanchayatName_survey DistrictName_survey BlockName_survey using `control_survey'
drop if _m==2
foreach var of varlist Index*{
replace `var'=0 if missing(`var')
}



rename *WagesReceived* *Wages*
rename *DaysWorked* *Days*
collapse (mean) NREGAWorked*  NREGAPaymentAdvance* NREGADelayMinimum* $HHControls ///
  NREGADays* NREGAWages* Index* [aweight=PWeight], ///
 by(DistrictName_survey BlockName_survey  BlockId DistrictId Treatment )

foreach outcome in  Worked  Wages  DelayMinimum  {

foreach var of varlist  NREGA`outcome'DuringTreat  {
quie su `var' 
local ControlMean=`r(mean)'
areg `var' Treatment  $HHControls  , cluster(BlockId) absorb(DistrictId)
outreg2 Treatment using "$Tables/$Table",   keep($outregvar) addtext(District FE, Yes, HH Controls, Yes, Weighted, Yes)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
areg `var' Treatment Index* $HHControls, cluster(BlockId) absorb(DistrictId)
outreg2 Treatment using "$Tables/$Table",  excel keep($outregvar) addtext(District FE, Yes, HH Controls, Yes, Weighted, Yes)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')


}
}



use "$Data/Asset Survey by GP", clear
rename Panchayat PanchayatName_survey 
rename District DistrictName_survey 
rename Block BlockName_survey
merge m:1      PanchayatName_survey DistrictName_survey BlockName_survey using `control_survey'
drop if _m==2
foreach var of varlist Index*{
replace `var'=0 if missing(`var')
}

foreach var of varlist AssetFound    {
quie su `var' if Treatment==0
local ControlMean=round(`r(mean)',0.01)
areg `var' Treatment , cluster(BlockId) absorb(DistrictId)
outreg2  using "$Tables//$Table",  keep($outregvar) ///
 addtext(District FE, Yes,"Mean in Control", `ControlMean') excel  nonotes noaster nocons 
areg `var' Treatment Index*, cluster(BlockId) absorb(DistrictId)
outreg2  using "$Tables//$Table",  keep($outregvar) ///
 addtext(District FE, Yes,"Mean in Control", `ControlMean') excel  nonotes noaster nocons 
}


use "$Data/Job Card Match rate with census at Panchayat Level", clear
merge m:1 DistrictName_off BlockName_off  PanchayatName_off using `control'
drop if _m==2
foreach var of varlist Index*{
replace `var'=0 if missing(`var')
}
egen DistrictId=group(DistrictName_off)
egen BlockId=group(DistrictName_off BlockName_off)

foreach var of varlist  match_percent_hh_1p_period5  match_percent_hh_2p_period5  {
quietly sum `var' if Treatment==0   
local ControlMean = r(mean)
di `ControlMean'
areg  `var' Treatment  , cluster(BlockId) absorb(DistrictId)
outreg2  using "$Tables/$Table",  keep($outregvar) ///
  addtext(District FE, Yes)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
areg  `var' Treatment Index*  , cluster(BlockId) absorb(DistrictId)
outreg2  using "$Tables/$Table", excel keep($outregvar) ///
  addtext(District FE, Yes)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
}


