


use "$Data/CPSMS Data by Period.dta", clear

egen DistrictId=group(DistrictName_off)

global Table="TA5 Spending (CPSMS) IHS"

local counter=0
foreach var of varlist GPDebitAmount  GPLastBalance GPCreditAmount{
gen IHS`var'=ln(`var' + sqrt(`var'^2 +1))
forvalues x=1/6{
local ++counter
su `var' if Treatment==0 & Period==`x'
global ControlMean=`r(mean)'
areg IHS`var' Treatment   if Period==`x', cluster(Blockid) absorb(DistrictId)
if `counter'==1 outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
 else outreg2 using "$Tables/$Table",    addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)
}
}
 outreg2 using "$Tables/$Table",  excel  addtext(District FE, Yes)  keep(Treatment) nonotes noaster nocons ///
adds("Mean in Control", $ControlMean)

