

use "$Data/Household Survey Clean Anonymized", clear

global Table="TA7 NREGA participation (Survey)"
local counter=0

collapse (mean) NREGAWorked*  NREGAPaymentAdvance* NREGADelayMinimum* $HHControls ///
  NREGADays* NREGAWages*  [aweight=PWeight], ///
 by(District Block  BlockId DistrictId Treatment)


foreach var of varlist  NREGAWorkedBeforeRains NREGAWorkedSinceRains{
local ++counter
quie su `var'
local ControlMean=`r(mean)'
xi: reg `var' Treatment i.DistrictId $HHControls, cluster(BlockId)
local Effect=_b[Treatment]
local EffectasPercentage=`Effect'/`ControlMean'*100
if `counter'==1 outreg2 Treatment using "$Tables/$Table",  replace  keep(Treatment) addtext(District FE, Yes, HH Controls, Yes, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean', "Treatment effect as % of Control Mean", `EffectasPercentage')
else outreg2 Treatment using "$Tables/$Table",  excel keep(Treatment) addtext(District FE, Yes, HH Controls, Yes, Weighted, No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean', "Treatment effect as % of Control Mean",`EffectasPercentage')
}
