

use "$Data/Household Survey Clean Anonymized", clear

egen gpid=group(Panchayat District Block)
egen Blockid=group(District Block)
egen districtid=group(District)


collapse (mean) LogMonthlyConsumption LogMonthlyConsumption_* $HHControls [aweight=PWeight], ///
 by(District Block  BlockId DistrictId Treatment)


global Table="TA8 Treatment effect on consumption"
local counter=0
foreach var of varlist   LogMonthlyConsumption LogMonthlyConsumption_* {
local ++counter
quie su `var'
local ControlMean=`r(mean)'
xi: reg `var' Treatment i.DistrictId , cluster(BlockId)
local Effect=_b[Treatment]
local EffectasPercentage=`Effect'/`ControlMean'*100
if `counter'==1 outreg2 Treatment using "$Tables/$Table",  replace  keep(Treatment) addtext(District FE, Yes, HH Controls, No, Weighted, No)   nonotes noaster nocons ///
adds("Mean in Control", `ControlMean', "Treatment effect as % of Control Mean", `EffectasPercentage')
else outreg2 Treatment using "$Tables/$Table",  keep(Treatment)  addtext(District FE, Yes, HH Controls, No, Weighted, No)   nonotes noaster nocons ///
adds("Mean in Control", `ControlMean', "Treatment effect as % of Control Mean",`EffectasPercentage')
xi: reg `var' Treatment i.DistrictId $HHControls , cluster(BlockId)
local Effect=_b[Treatment]
local EffectasPercentage=`Effect'/`ControlMean'*100
outreg2 Treatment using "$Tables/$Table", excel  keep(Treatment)  addtext(District FE, Yes, HH Controls, Yes, Weighted, No)   nonotes noaster nocons ///
adds("Mean in Control", `ControlMean', "Treatment effect as % of Control Mean",`EffectasPercentage')
}


