
global Table="TA9 Treatment effect on implementation problems"

use "$Data/Mukhiya Survey Clean Anonymized.dta", clear


local counter=0

forvalues x=1/5{
replace otherimpl_`x'=0 if impl_`x'==1
egen Problem`x'=rowmax(impl_`x' otherimpl_`x')

foreach var of varlist  Problem`x'{
	local ++counter
	sum `var' if Treatment==0
	local ControlMean=`r(mean)'

	xi: reg `var' Treatment i.DistrictCode $MukhiyaControls  i.surv_code, cluster(BlockCode)

	if `counter'==1 outreg2  using "$Tables/$Table", keep(Treatment) replace ///
 addtext(District FE, Yes, Mukhiya Controls,No)  nonotes noaster nocons ///
adds("Mean in Control", `ControlMean')
else outreg2  using "$Tables/$Table", excel  ///
	addtext(District FE, Yes, Mukhiya Controls, No) ///
	nonotes noaster nocons keep(Treatment)  ///
	adds("Mean in Control", `ControlMean')

}
}


